Avro C#

Protected Member Functions | Static Protected Member Functions | Properties | List of all members
Avro.NamedSchema Class Reference

Base class for all named schemas: fixed, enum, record More...

Inheritance diagram for Avro.NamedSchema:

## Protected Member Functions
| NamedSchema (Type type, SchemaName name, IList< SchemaName > aliases, PropertyMap props, SchemaNames names, string doc)
| Constructor for named schema class More...
bool | InAliases (SchemaName name)
| Determines whether the given schema name is one of this NamedSchema's aliases. More...
Protected Member Functions inherited from Avro.Schema
| Schema (Type type, PropertyMap props)
| Constructor for schema class More...

## Static Protected Member Functions
static SchemaName | GetName (JToken jtok, string encspace)
| Parses the name and namespace from the given JSON schema object then creates SchemaName object including the given enclosing namespace More...
static IList< SchemaName > | GetAliases (JToken jtok, string space, string encspace)
| Parses the 'aliases' property from the given JSON token More...
Static Protected Member Functions inherited from Avro.Schema
static bool | areEqual (object o1, object o2)
| Compares two objects, null is equal to null More...
static int | getHashCode (object obj)
| Hash code helper function More...

## Properties
SchemaName | SchemaName`[get]`
| Name of the schema, contains name, namespace and enclosing namespace More...
override string | Name`[get]`
| Name of the schema More...
string | Namespace`[get]`
| Namespace of the schema More...
override string | Fullname`[get]`
| Namespace.Name of the schema More...
string | Documentation`[get]`
| Documentation for the schema, if any. Null if there is no documentation. More...
Properties inherited from Avro.Schema
Type | Tag`[get]`
| Schema type property More...
abstract string | Name`[get]`
| If this is a record, enum or fixed, returns its name, otherwise the name the primitive type. More...
virtual string | Fullname`[get]`
| The name of this schema. If this is a named schema such as an enum, it returns the fully qualified name for the schema. For other schemas, it returns the type of the schema. More...

## Additional Inherited Members
Public Types inherited from Avro.Schema
enum | Type { Type.Null, Type.Boolean, Type.Int, Type.Long, Type.Float, Type.Double, Type.Bytes, Type.String, Type.Record, Type.Enumeration, Type.Array, Type.Map, Type.Union, Type.Fixed, Type.Error, Type.Logical }
| Enum for schema types More...
Public Member Functions inherited from Avro.Schema
override string | ToString ()
| Returns the canonical JSON representation of this schema. More...
string | GetProperty (string key)
| Returns the schema's custom property value given the property name More...
override int | GetHashCode ()
| Hash code function More...
virtual bool | CanRead (Schema writerSchema)
| Returns true if and only if data written using writerSchema can be read using the current schema according to the Avro resolution rules. More...
Static Public Member Functions inherited from Avro.Schema
static Schema | Parse (string json)
| Parses a given JSON string to create a new schema object More...
static string | GetTypeString (Type type)
| Returns symbol name for the given schema type More...
static Schema.? Type | ParseType (string type, bool removeQuotes=false)
| Parses the Schema.Type from a string. More...

## Detailed Description

Base class for all named schemas: fixed, enum, record

## Constructor & Destructor Documentation

## ◆ NamedSchema()

Avro.NamedSchema.NamedSchema | ( | Type | type,
|  | SchemaName | name,
|  | IList< SchemaName > | aliases,
|  | PropertyMap | props,
|  | SchemaNames | names,
|  | string | doc
| ) |  |
| inline protected

Constructor for named schema class

Parameters

  type | schema type
  name | name
  aliases | aliases for this named schema
  props | custom properties on this schema
  names | list of named schemas already read
  doc | documentation for this named schema

## Member Function Documentation

## ◆ GetAliases()

static IList<SchemaName> Avro.NamedSchema.GetAliases | ( | JToken | jtok,
|  | string | space,
|  | string | encspace
| ) |  |
| inline static protected

Parses the 'aliases' property from the given JSON token

Parameters

  jtok | JSON object to read
  space | namespace of the name this alias is for
  encspace | enclosing namespace of the name this alias is for

Returns
  List of SchemaName that represents the list of alias. If no 'aliases' specified, then it returns null.

## ◆ GetName()

static SchemaName Avro.NamedSchema.GetName | ( | JToken | jtok,
|  | string | encspace
| ) |  |
| inline static protected

Parses the name and namespace from the given JSON schema object then creates SchemaName object including the given enclosing namespace

Parameters

  jtok | JSON object to read
  encspace | enclosing namespace

Returns
  new SchemaName object

## ◆ InAliases()

bool Avro.NamedSchema.InAliases | ( | SchemaName | name | ) |
| inline protected

Determines whether the given schema name is one of this NamedSchema's aliases.

Parameters

  name | Schema name to test.

Returns
  True if name is one of this schema's aliases; false otherwise.

## Property Documentation

## ◆ Documentation

string Avro.NamedSchema.Documentation
| get

Documentation for the schema, if any. Null if there is no documentation.

## ◆ Fullname

override string Avro.NamedSchema.Fullname
| get

Namespace.Name of the schema

## ◆ Name

override string Avro.NamedSchema.Name
| get

Name of the schema

## ◆ Namespace

string Avro.NamedSchema.Namespace
| get

Namespace of the schema

## ◆ SchemaName

SchemaName Avro.NamedSchema.SchemaName
| get

Name of the schema, contains name, namespace and enclosing namespace

The documentation for this class was generated from the following file:

- src/apache/main/Schema/NamedSchema.cs